xine-lib: xine-lib-1.2.13/src/input/input_helper.h File Reference

xine-lib 1.2.13-20230125hg15249

Macros | Functions
input_helper.h File Reference
`#include <errno.h>`
`#include <sys/types.h>`
`#include <xine/attributes.h>`
`#include <xine/xine_internal.h>`
`#include <xine/xineutils.h>`

Go to the source code of this file.

## Macros
#define | MAX_SKIP_BYTES (10*1024*1024)

## Functions
void | _x_input_free_mrls (xine_mrl_t ***p)
xine_mrl_t ** | _x_input_alloc_mrls (size_t n)
xine_mrl_t ** | _x_input_realloc_mrls (xine_mrl_t ***p, size_t n)
void | _x_input_sort_mrls (xine_mrl_t **mrls, ssize_t cnt)
void | _x_input_register_show_hidden_files (config_values_t *config)
int | _x_input_get_show_hidden_files (config_values_t *config)
void | _x_input_register_default_servers (config_values_t *config)
xine_mrl_t ** | _x_input_get_default_server_mrls (config_values_t *config, const char *type, int *nFiles)
buf_element_t * | _x_input_default_read_block (input_plugin_t *this_gen, fifo_buffer_t *fifo, off_t todo)
static uint32_t | _x_input_get_capabilities_preview (input_plugin_t *this_gen)
static uint32_t | _x_input_get_capabilities_seekable (input_plugin_t *this_gen)
static uint32_t | _x_input_get_capabilities_none (input_plugin_t *this_gen)
static uint32_t | _x_input_default_get_blocksize (input_plugin_t *this_gen)
static off_t | _x_input_default_get_length (input_plugin_t *this_gen)
static int | _x_input_default_get_optional_data (input_plugin_t *this_gen, void *data, int data_type)
static off_t | _x_input_translate_seek (off_t offset, int origin, off_t curpos, off_t length)
static int | _x_input_read_skip (input_plugin_t *input, off_t bytes)
static off_t | _x_input_seek_preview (input_plugin_t *input, off_t offset, int origin, off_t *curpos, off_t length, off_t preview_size)

## Macro Definition Documentation

## ◆ MAX_SKIP_BYTES

#define MAX_SKIP_BYTES (10*1024*1024)

Referenced by _x_input_read_skip().

## Function Documentation

## ◆ _x_input_alloc_mrls()

xine_mrl_t ** _x_input_alloc_mrls | ( | size_t | n | ) |

References NULL.

Referenced by _get_exports(), _get_files(), _get_files(), _read_dir(), _x_input_get_default_server_mrls(), _x_input_realloc_mrls(), bluray_class_get_dir(), and vcd_class_get_dir().

## ◆ _x_input_default_get_blocksize()

static uint32_t _x_input_default_get_blocksize | ( | input_plugin_t * | this_gen | ) |
| inlinestatic

Referenced by _get_instance(), _get_instance(), _get_instance(), dvb_class_get_instance(), file_input_get_instance(), hls_input_get_instance(), http_class_get_instance(), mms_class_get_instance(), mpd_input_get_instance(), pnm_class_get_instance(), rtp_class_get_instance(), rtsp_class_get_instance(), stdin_class_get_instance(), and test_class_get_instance().

## ◆ _x_input_default_get_length()

static off_t _x_input_default_get_length | ( | input_plugin_t * | this_gen | ) |
| inlinestatic

Referenced by dvb_class_get_instance(), and net_class_get_instance().

## ◆ _x_input_default_get_optional_data()

static int _x_input_default_get_optional_data | ( | input_plugin_t * | this_gen,
|  | void * | data,
|  | int | data_type )
| inlinestatic

References INPUT_OPTIONAL_UNSUPPORTED.

Referenced by _get_instance(), and test_class_get_instance().

## ◆ _x_input_default_read_block()

buf_element_t * _x_input_default_read_block | ( | input_plugin_t * | this_gen,
|  | fifo_buffer_t * | fifo,
|  | off_t | todo )

References BUF_DEMUX_BLOCK, fifo_buffer_s::buffer_pool_size_alloc, buf_element_s::content, buf_element_s::free_buffer, buf_element_s::max_size, buf_element_s::mem, NULL, input_plugin_s::read, buf_element_s::size, and buf_element_s::type.

Referenced by _get_instance(), _get_instance(), _get_instance(), crypto_class_get_instance(), dvb_class_get_instance(), file_input_read_block(), http_class_get_instance(), mms_class_get_instance(), net_class_get_instance(), pnm_class_get_instance(), rtp_class_get_instance(), rtsp_class_get_instance(), stdin_class_get_instance(), and test_class_get_instance().

## ◆ _x_input_free_mrls()

void _x_input_free_mrls | ( | xine_mrl_t *** | p | ) |

References _x_freep(), and MRL_ZERO.

Referenced by _dispose_class(), _dispose_class(), _dispose_class_sftp(), _get_dir(), _get_dir(), _get_dir(), _get_dir_es(), _get_servers(), bluray_class_dispose(), bluray_class_get_dir(), vcd_class_dispose(), and vcd_class_get_dir().

## ◆ _x_input_get_capabilities_none()

static uint32_t _x_input_get_capabilities_none | ( | input_plugin_t * | this_gen | ) |
| inlinestatic

References INPUT_CAP_NOCAP.

Referenced by dvb_class_get_instance().

## ◆ _x_input_get_capabilities_preview()

static uint32_t _x_input_get_capabilities_preview | ( | input_plugin_t * | this_gen | ) |
| inlinestatic

References INPUT_CAP_PREVIEW.

Referenced by _get_instance(), mms_class_get_instance(), net_class_get_instance(), and rtp_class_get_instance().

## ◆ _x_input_get_capabilities_seekable()

static uint32_t _x_input_get_capabilities_seekable | ( | input_plugin_t * | this_gen | ) |
| inlinestatic

References INPUT_CAP_SEEKABLE.

Referenced by _get_instance(), _get_instance(), and test_class_get_instance().

## ◆ _x_input_get_default_server_mrls()

xine_mrl_t ** _x_input_get_default_server_mrls | ( | config_values_t * | config,
|  | const char * | type,
|  | int * | nFiles )

References _x_input_alloc_mrls(), _x_input_sort_mrls(), config_values_s::lookup_entry, xine_mrl_s::mrl, mrl_file, mrl_file_directory, mrl_net, NULL, xine_mrl_s::origin, cfg_entry_s::str_value, type, and xine_mrl_s::type.

Referenced by _get_dir(), _get_dir(), _get_dir_es(), and _get_servers().

## ◆ _x_input_get_show_hidden_files()

int _x_input_get_show_hidden_files | ( | config_values_t * | config | ) |

References config_values_s::lookup_entry, and cfg_entry_s::num_value.

Referenced by _get_files(), _get_files(), _read_dir(), and file_input_class_get_dir().

## ◆ _x_input_read_skip()

static int _x_input_read_skip | ( | input_plugin_t * | input,
|  | off_t | bytes )
| inlinestatic

References _x_assert, input(), and MAX_SKIP_BYTES.

Referenced by _x_input_seek_preview().

## ◆ _x_input_realloc_mrls()

xine_mrl_t ** _x_input_realloc_mrls | ( | xine_mrl_t *** | p,
|  | size_t | n )

References _x_input_alloc_mrls(), and NULL.

Referenced by _get_files(), _get_files(), _get_servers(), and _read_dir().

## ◆ _x_input_register_default_servers()

void _x_input_register_default_servers | ( | config_values_t * | config | ) |

References _, NULL, and config_values_s::register_string.

Referenced by input_ftp_init_class(), and sftp_init_class().

## ◆ _x_input_register_show_hidden_files()

void _x_input_register_show_hidden_files | ( | config_values_t * | config | ) |

References _, NULL, and config_values_s::register_bool.

Referenced by file_input_init_plugin(), input_ftp_init_class(), nfs_init_class(), and sftp_init_class().

## ◆ _x_input_seek_preview()

static off_t _x_input_seek_preview | ( | input_plugin_t * | input,
|  | off_t | offset,
|  | int | origin,
|  | off_t * | curpos,
|  | off_t | length,
|  | off_t | preview_size )
| inlinestatic

References _x_assert, _x_input_read_skip(), _x_input_translate_seek(), and input().

Referenced by _ftp_seek(), _scp_seek(), dvb_plugin_seek(), http_plugin_seek(), mms_plugin_seek(), net_plugin_seek(), pnm_plugin_seek(), rtp_plugin_seek(), rtsp_plugin_seek(), and stdin_plugin_seek().

## ◆ _x_input_sort_mrls()

void _x_input_sort_mrls | ( | xine_mrl_t ** | mrls,
|  | ssize_t | cnt )

References _mrl_cmp(), and _x_assert.

Referenced by _get_dir(), _get_files(), _read_dir(), and _x_input_get_default_server_mrls().

## ◆ _x_input_translate_seek()

static off_t _x_input_translate_seek | ( | off_t | offset,
|  | int | origin,
|  | off_t | curpos,
|  | off_t | length )
| inlinestatic

Referenced by _ftp_seek(), _x_input_seek_preview(), crypto_plugin_seek(), http_plugin_seek(), and test_plugin_seek().